Skip to content
EN

生成歌曲(曲声分离)

方法: POST路径: /suno/submit/music

请求体

注意 mv为 chirp-auk task 为 gen_stem stem_task 为 two stem_type_group_name 为 Two continue_clip_id 就是 A 步骤中的 clip_id 可跨账号 计费:一次生成费用

请求参数

Header 参数

text
accept
string
可选
示例:
*/*
content-type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
task
string
必需
generation_type
string
必需
title
string
必需
mv
string
必需
prompt
string
必需
make_instrumental
boolean
必需
continue_clip_id
string
必需
continued_aligned_prompt
null
必需
continue_at
null
必需
stem_type_id
integer
必需
stem_type_group_name
string
必需
stem_task
string
必需
示例
{
"task"
:
"string"
,
"generation_type"
:
"string"
,
"title"
:
"string"
,
"mv"
:
"string"
,
"prompt"
:
"string"
,
"make_instrumental"
:
true
,
"continue_clip_id"
:
"string"
,
"continued_aligned_prompt"
:
null
,
"continue_at"
:
null
,
"stem_type_id"
:
0
,
"stem_type_group_name"
:
"string"
,
"stem_task"
:
"string"
}

请求示例代码

Shell

bash
curl --location --request POST '/suno/submit/music' \
--header 'accept: */*' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'content-type: application/json' \
--data-raw '{
    "task": "string",
    "generation_type": "string",
    "title": "string",
    "mv": "string",
    "prompt": "string",
    "make_instrumental": true,
    "continue_clip_id": "string",
    "continued_aligned_prompt": null,
    "continue_at": null,
    "stem_type_id": 0,
    "stem_type_group_name": "string",
    "stem_task": "string"
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
    "clips": [
        {
            "id": "5f3587e2-75fb-4c36-84b3-3ec113897a4c",
            "video_url": "",
            "audio_url": "",
            "major_model_version": "",
            "model_name": "",
            "metadata": {
                "tags": "Chinese",
                "prompt": "在那遥远的星空之下,如今谁还在彷徨?\n就像无法游泳的鱼儿,我却只能责怪自己没有坚强的鳍片。\n快将彷徨化成力量,快把挫折当做指南。\n直到梦想实现之前,我坚定地守候着。\n昨天流逝了岁月,明天我将追随风的脚步,攀上高峰。\n呼唤吧,让我们出发,骑在梦想龙的脊背,穿越命运的坎坷。\n摆脱困境的束缚,即使失去了一切,人仍然渴望温暖的拥抱。\n人之所以能体会到他人的快乐,是因为心灵的善良。\n快将彷徨化成力量,快把挫折当做指南。\n我还是那只无法游泳的鱼儿,责怪自己没有坚强的鳍片。",
                "stem_from_id": "a624123d-22cc-4d4d-bf28-78d312f61597",
                "type": "stem",
                "duration": 217.24
            },
            "is_liked": false,
            "user_id": "58387c47-dc80-466f-a7b1-a2eed61c24fb",
            "display_name": "FluidXylophone2289",
            "handle": "fluidxylophone2289",
            "is_handle_updated": false,
            "avatar_image_url": "https://cdn1.suno.ai/defaultPink.webp",
            "is_trashed": false,
            "created_at": "2024-12-25T16:51:36.619Z",
            "status": "queued",
            "title": "骑在梦想龙的脊背 - Vocals",
            "play_count": 0,
            "upvote_count": 0,
            "is_public": false
        },
        {
            "id": "9c85d619-4cac-4561-8fa3-604c116fa1c5",
            "video_url": "",
            "audio_url": "",
            "major_model_version": "",
            "model_name": "",
            "metadata": {
                "tags": "Chinese",
                "prompt": "",
                "stem_from_id": "a624123d-22cc-4d4d-bf28-78d312f61597",
                "type": "stem",
                "duration": 217.24
            },
            "is_liked": false,
            "user_id": "58387c47-dc80-466f-a7b1-a2eed61c24fb",
            "display_name": "FluidXylophone2289",
            "handle": "fluidxylophone2289",
            "is_handle_updated": false,
            "avatar_image_url": "https://cdn1.suno.ai/defaultPink.webp",
            "is_trashed": false,
            "created_at": "2024-12-25T16:51:36.625Z",
            "status": "queued",
            "title": "骑在梦想龙的脊背 - Instrumental",
            "play_count": 0,
            "upvote_count": 0,
            "is_public": false
        }
    ]
}